commit:     6c4e62882858a5739622d72671294e670520ce30
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun May 17 14:52:06 2015 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun May 17 14:52:06 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=6c4e6288

gnome-base/gnome-light: 3.14.0 → 3.16.0

 gnome-base/gnome-light/gnome-light-3.16.0.ebuild | 51 ++++++++++++++++++++++++
 gnome-base/gnome-light/metadata.xml              |  9 +++++
 2 files changed, 60 insertions(+)

diff --git a/gnome-base/gnome-light/gnome-light-3.16.0.ebuild 
b/gnome-base/gnome-light/gnome-light-3.16.0.ebuild
new file mode 100644
index 0000000..8665d63
--- /dev/null
+++ b/gnome-base/gnome-light/gnome-light-3.16.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+DESCRIPTION="Meta package for GNOME-Light, merge this package to install"
+HOMEPAGE="http://www.gnome.org/";
+LICENSE="metapackage"
+SLOT="2.0"
+IUSE="cups +gnome-shell"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# XXX: Note to developers:
+# This is a wrapper for the 'light' GNOME 3 desktop, and should only consist of
+# the bare minimum of libs/apps needed. It is basically gnome-base/gnome 
without
+# any apps, but shouldn't be used by users unless they know what they are 
doing.
+RDEPEND="!gnome-base/gnome
+       >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+       >=gnome-base/gnome-session-${PV}
+       >=gnome-base/gnome-menus-3.10.1:3
+       >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+       >=gnome-base/gnome-control-center-${PV}[cups?]
+
+       >=gnome-base/nautilus-${PV}
+
+       gnome-shell? (
+               >=x11-wm/mutter-${PV}
+               >=gnome-base/gnome-shell-${PV} )
+
+       >=x11-themes/adwaita-icon-theme-${PV}
+       >=x11-themes/gnome-themes-standard-${PV}
+       >=x11-themes/gnome-backgrounds-${PV}
+
+       >=x11-terms/gnome-terminal-${PV}
+"
+DEPEND=""
+PDEPEND=">=gnome-base/gvfs-1.24.0"
+S="${WORKDIR}"
+
+pkg_pretend() {
+       if ! use gnome-shell; then
+               # Users probably want to use e16, sawfish, etc
+               ewarn "You're installing neither GNOME Shell"
+               ewarn "You will have to install and manage a window manager by 
yourself"
+       fi
+}

diff --git a/gnome-base/gnome-light/metadata.xml 
b/gnome-base/gnome-light/metadata.xml
new file mode 100644
index 0000000..bda1c54
--- /dev/null
+++ b/gnome-base/gnome-light/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>gnome</herd>
+<use>
+       <flag name="gnome-shell">Install <pkg>gnome-base/gnome-shell</pkg> and
+               <pkg>x11-wm/mutter</pkg> for the standard GNOME 3 desktop 
mode</flag>
+</use>
+</pkgmetadata>

Reply via email to